Subject: Re: bug#78916: 31.0.50; C-g fails to exit loop

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Jul 2025 14:37:08 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 01 Jul 2025 16:47:40 -0400
> 
> > and it happened in the past because C-g would quite right away, so
> > there was no need to re-read it.  Right?
> 
> I agree that we want to signal `quit` right away here (and I think both
> for `C-g` and for `C-]`) rather than "unread" them.  The question is how
> we want to do it:
> 
> - (signal 'quit nil)
> - call `keyboard-quit`.
> - call whatever is bound to `C-g` in the normal keymaps.

If you explain the difference between the first tow, I could try
making up my mind.

> [ With a subsidiary question of whether we do it by changing the code
>   that handles a key bound to `quit` or whether we just change the
>   binding to something else like `keyboard-quit`.  ]

Currently 'quit' in replace.el is not handled, so it is a kind-of
dummy binding.  It doesn't have any code that handles it.  Or what did
I miss?